Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/hooks/archiso_pxe_nfs
diff options
context:
space:
mode:
authorGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-08-25 15:14:51 -0300
committerGerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>2012-08-25 15:14:51 -0300
commit6369815d5721e2908174d9ddc76bd9ffe32570b4 (patch)
tree06e3d7a2c9b8c8a4172d97ab90a9ed9eb8550879 /hooks/archiso_pxe_nfs
parentd93c9c21873ddc269f8cde7bd39e3e54650f2489 (diff)
[archiso] Rework Makefile / Reorder files
Signed-off-by: Gerardo Exequiel Pozzi <vmlinuz386@yahoo.com.ar>
Diffstat (limited to 'hooks/archiso_pxe_nfs')
-rw-r--r--hooks/archiso_pxe_nfs27
1 files changed, 27 insertions, 0 deletions
diff --git a/hooks/archiso_pxe_nfs b/hooks/archiso_pxe_nfs
new file mode 100644
index 0000000..ef41c01
--- /dev/null
+++ b/hooks/archiso_pxe_nfs
@@ -0,0 +1,27 @@
+# vim: set ft=sh:
+
+run_hook() {
+ if [[ -n "${ip}" && -n "${archiso_nfs_srv}" ]]; then
+
+ archiso_nfs_srv=$(eval echo ${archiso_nfs_srv})
+ [[ -n "${archiso_nfs_opt}" ]] && archiso_nfs_opt="-o ${archiso_nfs_opt}"
+
+ mount_handler="archiso_nfs_mount_handler"
+ fi
+}
+
+archiso_nfs_mount_handler() {
+ newroot="${1}"
+ mkdir -p "/run/archiso/bootmnt"
+ msg ":: Mounting '${archiso_nfs_srv}'"
+ # Do not put "${archiso_nfs_opt}" nfsmount fails!
+ if ! nfsmount ${archiso_nfs_opt} "${archiso_nfs_srv}" "/run/archiso/bootmnt"; then
+ echo "ERROR: Mounting '${archiso_nfs_srv}'"
+ echo " Falling back to interactive prompt"
+ echo " You can try to fix the problem manually, log out when you are finished"
+ launch_interactive_shell
+ fi
+
+ copytoram="y"
+ archiso_mount_handler ${newroot}
+}